diff --git a/daemon/luks.c b/daemon/luks.c
index 0b59b5a..bbe6328 100644
--- a/daemon/luks.c
+++ b/daemon/luks.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/lvm-filter.c b/daemon/lvm-filter.c
index 21e2fde..07d872b 100644
--- a/daemon/lvm-filter.c
+++ b/daemon/lvm-filter.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/lvm.c b/daemon/lvm.c
index eaa6bce..c12118c 100644
--- a/daemon/lvm.c
+++ b/daemon/lvm.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/mkfs.c b/daemon/mkfs.c
index fc798c4..d073c07 100644
--- a/daemon/mkfs.c
+++ b/daemon/mkfs.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/mknod.c b/daemon/mknod.c
index ee2d1ff..d5b8467 100644
--- a/daemon/mknod.c
+++ b/daemon/mknod.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/modprobe.c b/daemon/modprobe.c
index 0d7318c..1063043 100644
--- a/daemon/modprobe.c
+++ b/daemon/modprobe.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/mount.c b/daemon/mount.c
index ab43c20..98b9488 100644
--- a/daemon/mount.c
+++ b/daemon/mount.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/ntfs.c b/daemon/ntfs.c
index 5891263..92d2432 100644
--- a/daemon/ntfs.c
+++ b/daemon/ntfs.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/parted.c b/daemon/parted.c
index 2b70fdd..dbcae03 100644
--- a/daemon/parted.c
+++ b/daemon/parted.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/pingdaemon.c b/daemon/pingdaemon.c
index 0a69afa..eac291d 100644
--- a/daemon/pingdaemon.c
+++ b/daemon/pingdaemon.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/proto.c b/daemon/proto.c
index 238ee88..bbba205 100644
--- a/daemon/proto.c
+++ b/daemon/proto.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/readdir.c b/daemon/readdir.c
index 876041e..b8f5fea 100644
--- a/daemon/readdir.c
+++ b/daemon/readdir.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/realpath.c b/daemon/realpath.c
index 592e12c..ea936c6 100644
--- a/daemon/realpath.c
+++ b/daemon/realpath.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/scrub.c b/daemon/scrub.c
index 573385f..2cef69d 100644
--- a/daemon/scrub.c
+++ b/daemon/scrub.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/selinux.c b/daemon/selinux.c
index 0bf6fd2..2db05ee 100644
--- a/daemon/selinux.c
+++ b/daemon/selinux.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/sfdisk.c b/daemon/sfdisk.c
index b595601..8221ffa 100644
--- a/daemon/sfdisk.c
+++ b/daemon/sfdisk.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/sleep.c b/daemon/sleep.c
index 6e133bd..af01d25 100644
--- a/daemon/sleep.c
+++ b/daemon/sleep.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/stat.c b/daemon/stat.c
index e245323..22592bb 100644
--- a/daemon/stat.c
+++ b/daemon/stat.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/statvfs.c b/daemon/statvfs.c
index e5118e4..4eff22d 100644
--- a/daemon/statvfs.c
+++ b/daemon/statvfs.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/strings.c b/daemon/strings.c
index f08401b..d94ac44 100644
--- a/daemon/strings.c
+++ b/daemon/strings.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/swap.c b/daemon/swap.c
index c2fe13a..51dbbe4 100644
--- a/daemon/swap.c
+++ b/daemon/swap.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/sync.c b/daemon/sync.c
index a09c8c1..bde181f 100644
--- a/daemon/sync.c
+++ b/daemon/sync.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/tar.c b/daemon/tar.c
index e29f440..9e45dee 100644
--- a/daemon/tar.c
+++ b/daemon/tar.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/truncate.c b/daemon/truncate.c
index 2cc21b4..28d9ceb 100644
--- a/daemon/truncate.c
+++ b/daemon/truncate.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/umask.c b/daemon/umask.c
index 1563c52..52e854e 100644
--- a/daemon/umask.c
+++ b/daemon/umask.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/upload.c b/daemon/upload.c
index a1a37ae..dffe411 100644
--- a/daemon/upload.c
+++ b/daemon/upload.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/utimens.c b/daemon/utimens.c
index 1da2169..ae006c6 100644
--- a/daemon/utimens.c
+++ b/daemon/utimens.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/wc.c b/daemon/wc.c
index 397d90c..5d35559 100644
--- a/daemon/wc.c
+++ b/daemon/wc.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/xattr.c b/daemon/xattr.c
index 2b4882a..cb700d7 100644
--- a/daemon/xattr.c
+++ b/daemon/xattr.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/zero.c b/daemon/zero.c
index 8df2298..67112d8 100644
--- a/daemon/zero.c
+++ b/daemon/zero.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/zerofree.c b/daemon/zerofree.c
index f98c69b..e9be8fc 100644
--- a/daemon/zerofree.c
+++ b/daemon/zerofree.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/df/Makefile.am b/df/Makefile.am
index 6281c96..2b2c47e 100644
--- a/df/Makefile.am
+++ b/df/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/df/df.c b/df/df.c
index 8821d68..2502037 100644
--- a/df/df.c
+++ b/df/df.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/df/domains.c b/df/domains.c
index 7a4e33c..04390e3 100644
--- a/df/domains.c
+++ b/df/domains.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/df/main.c b/df/main.c
index 17aa283..2429c32 100644
--- a/df/main.c
+++ b/df/main.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/df/output.c b/df/output.c
index 7852daa..ea981b8 100644
--- a/df/output.c
+++ b/df/output.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/df/virt-df.h b/df/virt-df.h
index 4a3179e..6982658 100644
--- a/df/virt-df.h
+++ b/df/virt-df.h
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #ifndef GUESTFS_VIRT_DF_
diff --git a/df/virt-df.pod b/df/virt-df.pod
index 49c5e0a..df58b4c 100755
--- a/df/virt-df.pod
+++ b/df/virt-df.pod
@@ -252,4 +252,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/edit/Makefile.am b/edit/Makefile.am
index eac2877..d94e42e 100644
--- a/edit/Makefile.am
+++ b/edit/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/edit/virt-edit.c b/edit/virt-edit.c
index dc2e130..66866b7 100644
--- a/edit/virt-edit.c
+++ b/edit/virt-edit.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/edit/virt-edit.pod b/edit/virt-edit.pod
index 99dd3f3..83f815e 100644
--- a/edit/virt-edit.pod
+++ b/edit/virt-edit.pod
@@ -385,4 +385,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/erlang/Makefile.am b/erlang/Makefile.am
index d262f87..f336375 100644
--- a/erlang/Makefile.am
+++ b/erlang/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/erlang/examples/Makefile.am b/erlang/examples/Makefile.am
index 9fa82bb..724e7f5 100644
--- a/erlang/examples/Makefile.am
+++ b/erlang/examples/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 EXTRA_DIST = \
 	LICENSE \
diff --git a/examples/Makefile.am b/examples/Makefile.am
index 03870cb..8d6accd 100644
--- a/examples/Makefile.am
+++ b/examples/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 EXTRA_DIST = \
 	LICENSE \
diff --git a/fish/Makefile.am b/fish/Makefile.am
index dd0625d..6ca8a82 100644
--- a/fish/Makefile.am
+++ b/fish/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/fish/alloc.c b/fish/alloc.c
index 7799e4e..08790a7 100644
--- a/fish/alloc.c
+++ b/fish/alloc.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/copy.c b/fish/copy.c
index c1c1b47..9416ce7 100644
--- a/fish/copy.c
+++ b/fish/copy.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/destpaths.c b/fish/destpaths.c
index 3c90517..c7b9dc5 100644
--- a/fish/destpaths.c
+++ b/fish/destpaths.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/display.c b/fish/display.c
index 4a46ea8..05933f4 100644
--- a/fish/display.c
+++ b/fish/display.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/echo.c b/fish/echo.c
index 78b4160..7cf7c1a 100644
--- a/fish/echo.c
+++ b/fish/echo.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/edit.c b/fish/edit.c
index 80ae44b..7bd6244 100644
--- a/fish/edit.c
+++ b/fish/edit.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/fish.c b/fish/fish.c
index 7b45fec..c55f54b 100644
--- a/fish/fish.c
+++ b/fish/fish.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/glob.c b/fish/glob.c
index 8250c13..e05e775 100644
--- a/fish/glob.c
+++ b/fish/glob.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/guestfish-bash-completion.sh b/fish/guestfish-bash-completion.sh
index 243e72b..f9ee668 100644
--- a/fish/guestfish-bash-completion.sh
+++ b/fish/guestfish-bash-completion.sh
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # To use this script, copy it into /etc/bash_completion.d/ if
 # that directory exists.
diff --git a/fish/guestfish.pod b/fish/guestfish.pod
index 8190969..ea0b3aa 100644
--- a/fish/guestfish.pod
+++ b/fish/guestfish.pod
@@ -1314,4 +1314,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/fish/help.c b/fish/help.c
index 47609e9..e3775e8 100644
--- a/fish/help.c
+++ b/fish/help.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/hexedit.c b/fish/hexedit.c
index 885c54e..472aa8f 100644
--- a/fish/hexedit.c
+++ b/fish/hexedit.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/inspect.c b/fish/inspect.c
index 0b82ade..98329ee 100644
--- a/fish/inspect.c
+++ b/fish/inspect.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/keys.c b/fish/keys.c
index ec15c8f..fe98b61 100644
--- a/fish/keys.c
+++ b/fish/keys.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/lcd.c b/fish/lcd.c
index 857bcf3..69c684e 100644
--- a/fish/lcd.c
+++ b/fish/lcd.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/man.c b/fish/man.c
index 522a86c..9b49122 100644
--- a/fish/man.c
+++ b/fish/man.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/more.c b/fish/more.c
index 01443ff..9008bd1 100644
--- a/fish/more.c
+++ b/fish/more.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/prep.c b/fish/prep.c
index 8ac4b31..9863bc9 100644
--- a/fish/prep.c
+++ b/fish/prep.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/prep_boot.c b/fish/prep_boot.c
index e80f1ee..f66196f 100644
--- a/fish/prep_boot.c
+++ b/fish/prep_boot.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/prep_disk.c b/fish/prep_disk.c
index d393d8d..055b36f 100644
--- a/fish/prep_disk.c
+++ b/fish/prep_disk.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/prep_fs.c b/fish/prep_fs.c
index d8fa609..8934de4 100644
--- a/fish/prep_fs.c
+++ b/fish/prep_fs.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/prep_lv.c b/fish/prep_lv.c
index 627ed0a..3620898 100644
--- a/fish/prep_lv.c
+++ b/fish/prep_lv.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/prep_part.c b/fish/prep_part.c
index ac46f37..27f4b78 100644
--- a/fish/prep_part.c
+++ b/fish/prep_part.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/progress.c b/fish/progress.c
index 679c831..b812a57 100644
--- a/fish/progress.c
+++ b/fish/progress.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/progress.h b/fish/progress.h
index 0e965f1..0b08a93 100644
--- a/fish/progress.h
+++ b/fish/progress.h
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/rc.c b/fish/rc.c
index 1744c41..31f5c64 100644
--- a/fish/rc.c
+++ b/fish/rc.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
